# Reporting Service

Reporting service allows users to retrieve detailed transaction information, latest status of the payments, refund results and fraud scenarios before taking the financial decision.

{% hint style="info" %}
The information you can receive through the reporting API can go back to maximum of 2 years.&#x20;
{% endhint %}

{% hint style="info" %}
Transaction Details service performs separately both `paymentConversationId` and `paymentId`.&#x20;
{% endhint %}

### Reporting API - Transaction Detail

## Transaction Detail Reporting

> The reporting service returns the current status of payments, refund results, and fraud statuses. It works with both paymentConversationId and paymentId. At least one of these must be provided.

```json
{"openapi":"3.0.3","info":{"title":"Transaction Detail Reporting","version":"1.0.0"},"tags":[{"name":"Reporting","description":"Reporting endpoints"}],"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/v2/reporting/payment/details":{"get":{"summary":"Transaction Detail Reporting","description":"The reporting service returns the current status of payments, refund results, and fraud statuses. It works with both paymentConversationId and paymentId. At least one of these must be provided.","tags":["Reporting"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"},{"$ref":"#/components/parameters/LocaleQuery"},{"$ref":"#/components/parameters/ConversationIdQuery"},{"name":"paymentId","in":"query","required":true,"schema":{"type":"string"},"description":"Payment ID. Required if paymentConversationId is not sent.\n"},{"name":"paymentConversationId","in":"query","required":true,"schema":{"type":"string"},"description":"Conversation ID of the payment. Can be used to query by conversationId. Required if paymentId is not sent.\n"}],"responses":{"200":{"description":"Successful response — transaction detail","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportingPaymentDetailsResponse"}}}},"400":{"description":"Invalid request / validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Authorization header, IYZWSv2 ile başlayan ve base64 formatında üretilmiş imzalı hash değeridir."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"Content type of the request body."},"LocaleQuery":{"name":"locale","in":"query","required":false,"schema":{"type":"string","enum":["tr","en"]},"description":"Language code."},"ConversationIdQuery":{"name":"conversationId","in":"query","required":false,"schema":{"type":"string"},"description":"Can be used to correlate request/response. Echoed back in the response as-is."}},"schemas":{"ReportingPaymentDetailsResponse":{"allOf":[{"$ref":"#/components/schemas/BaseResponse"},{"type":"object","properties":{"payments":{"type":"array","description":"Transactions returned by the query.","items":{"$ref":"#/components/schemas/ReportingPaymentDetailsItem"}}}}]},"BaseResponse":{"type":"object","properties":{"status":{"type":"string","description":"Indicates the result of the request.","enum":["success","failure"]},"locale":{"type":"string","description":"Response language (tr/en)."},"systemTime":{"type":"integer","description":"Operation time (epoch ms)."},"conversationId":{"type":"string","description":"ID matching the request (if present)."}}},"ReportingPaymentDetailsItem":{"type":"object","properties":{"paymentId":{"description":"Payment ID.","type":"string"},"paymentStatus":{"type":"integer","description":"Payment status.\n\n- **1** (Success)\n- **2** (Failure / INIT_THREEDS)\n- **3** (CALLBACK_THREEDS)\n","enum":[1,2,3]},"paymentRefundStatus":{"type":"string","description":"Refund status.\n\n- **NOT_REFUNDED**\n- **PARTIALLY_REFUNDED**\n- **TOTALLY_REFUNDED**\n"},"price":{"type":"decimal","description":"Basket total amount."},"paidPrice":{"type":"decimal","description":"Total collected amount."},"installment":{"type":"integer","description":"Installment count."},"merchantCommissionRate":{"type":"decimal","description":"Merchant’s surcharge/commission rate (informational)."},"merchantCommissionRateAmount":{"type":"decimal","description":"Merchant’s surcharge/commission amount (informational)."},"iyziCommissionRateAmount":{"type":"decimal","description":"iyzico commission amount for the payment."},"iyziCommissionFee":{"type":"decimal","description":"iyzico transaction fee for the payment."},"paymentConversationId":{"type":"string","description":"Conversation ID of the payment."},"fraudStatus":{"type":"integer","description":"Fraud status per fraud filters. If the score is low, the payment is approved; if high, it is rejected.\nMerchants should ship goods only for status **1**; for **0**, they should wait for notification.\n- **1**: Approved\n- **0**: Under Review\n- **-1**: Rejected\n","enum":[-1,0,1]},"cardType":{"type":"string","description":"Card type.","enum":["CREDIT_CARD","DEBIT_CARD","PREPAID_CARD"]},"cardAssociation":{"type":"string","description":"Card association.","enum":["VISA","MASTER_CARD","AMERICAN_EXPRESS"]},"cardFamily":{"type":"string","description":"Card family.","enum":["Bonus","Axess","World","Maximum","Paraf","CardFinans"]},"binNumber":{"type":"string","description":"BIN (first 8 digits)."},"lastFourDigits":{"type":"string","description":"Last 4 digits of the card."},"basketId":{"type":"string","description":"Basket ID."},"currency":{"type":"string","description":"Currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]},"connectorName":{"type":"string","description":"Connector/POS provider name."},"authCode":{"type":"string","description":"Auth code returned from the bank."},"threeDS":{"type":"boolean","description":"Whether the transaction used 3DS."},"phase":{"type":"string","description":"Payment phase."},"acquirerBankName":{"type":"string","description":"Acquiring bank/provider name."},"hostReference":{"type":"string","description":"hostReference value returned by the provider."},"createdDate":{"type":"string","description":"ISO-8601 creation time."},"cancels":{"type":"array","description":"List of cancel operations.","items":{"$ref":"#/components/schemas/ReportingCancel"}},"itemTransactions":{"type":"array","description":"Line-item level transaction breakdowns.","items":{"$ref":"#/components/schemas/ReportingItemTransaction"}}}},"ReportingCancel":{"type":"object","properties":{"refundId":{"description":"Refund/ID information for the cancel.","oneOf":[{"type":"string"},{"type":"integer"}]},"cancelConversationId":{"type":"string","description":"Conversation ID of the cancel operation."},"refundPrice":{"type":"decimal","description":"Cancel/refund amount."},"refundStatus":{"type":"integer","description":"Cancel/refund status code."},"createdDate":{"type":"string","description":"ISO-8601 creation time."},"currencyCode":{"type":"string","description":"Currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]},"authCode":{"type":"string","description":"Auth code returned from the bank."},"hostReference":{"type":"string","description":"hostReference value returned by the provider."}}},"ReportingItemTransaction":{"type":"object","properties":{"paymentTransactionId":{"description":"Line-item transaction ID.","type":"string"},"transactionStatus":{"type":"integer","description":"Line-item status.\n- **0**: In fraud review\n- **-1**: Rejected after fraud review\n- **1**: Approved (In marketplace: Waiting for Sub-merchant Approval)\n- **2**: Approved (Marketplace Approval Granted)\n","enum":[0,-1,1,2]},"price":{"type":"decimal","description":"Item amount."},"paidPrice":{"type":"decimal","description":"Distribution of collected amount at line-item level."},"merchantCommissionRate":{"type":"decimal","description":"Merchant surcharge/commission rate (line-item)."},"merchantCommissionRateAmount":{"type":"decimal","description":"Merchant surcharge/commission amount (line-item)."},"iyziCommissionRateAmount":{"type":"decimal","description":"iyzico commission amount (line-item)."},"iyziCommissionFee":{"type":"decimal","description":"iyzico transaction fee (line-item)."},"blockageRate":{"type":"decimal","description":"Merchant blockage rate (line-item)."},"blockageRateAmountMerchant":{"type":"decimal","description":"Blockage amount reflected to the merchant."},"blockageRateAmountSubMerchant":{"type":"decimal","description":"Blockage amount reflected to the sub-merchant."},"blockageResolvedDate":{"type":"string","description":"Blockage resolution date (ISO-8601)."},"subMerchantPrice":{"type":"decimal","description":"Sub-merchant item amount."},"subMerchantPayoutRate":{"type":"decimal","description":"Rate of payout to sub-merchant."},"subMerchantPayoutAmount":{"type":"decimal","description":"Amount to be transferred to the sub-merchant."},"merchantPayoutAmount":{"type":"decimal","description":"Amount to be sent to the merchant after commissions and blockages."},"convertedPayout":{"$ref":"#/components/schemas/ReportingConvertedPayout"},"refunds":{"type":"array","description":"Line-item refunds.","items":{"$ref":"#/components/schemas/ReportingRefund"}}}},"ReportingConvertedPayout":{"type":"object","properties":{"paidPrice":{"type":"decimal","description":"Distribution of collected amount at line-item level."},"iyziCommissionRateAmount":{"type":"decimal","description":"iyzico commission amount (line-item, after conversion)."},"iyziCommissionFee":{"type":"decimal","description":"iyzico transaction fee (line-item, after conversion)."},"blockageRateAmountMerchant":{"type":"decimal","description":"Merchant blockage amount (after conversion, merchant)."},"blockageRateAmountSubMerchant":{"type":"decimal","description":"Sub-merchant blockage amount (after conversion)."},"subMerchantPayoutAmount":{"type":"decimal","description":"Amount to be transferred to the sub-merchant (after conversion)."},"merchantPayoutAmount":{"type":"decimal","description":"Amount to be sent to the merchant (after conversion)."},"iyziConversionRate":{"type":"decimal","description":"FX rate."},"iyziConversionRateAmount":{"type":"decimal","description":"Amount after applying the FX rate."},"currency":{"type":"string","description":"Currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]}}},"ReportingRefund":{"type":"object","properties":{"refundTxId":{"description":"Refund transaction ID.","oneOf":[{"type":"string"},{"type":"integer"}]},"refundConversationId":{"type":"string","description":"Conversation ID of the refund."},"refundPrice":{"type":"decimal","description":"Refund amount."},"refundStatus":{"type":"integer","description":"Refund status code."},"isAfterSettlement":{"type":"boolean","description":"Was the refund processed after payout?"},"createdDate":{"type":"string","description":"ISO-8601 creation time."},"currencyCode":{"type":"string","description":"Currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]},"authCode":{"type":"string","description":"Auth code returned from the bank."},"hostReference":{"type":"string","description":"hostReference value returned by the provider."},"iyziCommissionRateAmount":{"type":"decimal","description":"Commission amount on the refund (if any)."}}},"ErrorResponse":{"allOf":[{"$ref":"#/components/schemas/BaseResponse"},{"type":"object","properties":{"errorCode":{"type":"string","description":"Error code for the operation."},"errorMessage":{"type":"string","description":"Error message for the operation. Supports localization based on the locale parameter."},"errorGroup":{"type":"string","description":"Error group."}}}]}}}}
```

#### Sample Codes

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/reporting_payment_detail.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/ReportingPaymentDetailSample.java">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/RetrieveTransactionDetailSample.cs">.Net</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-python/blob/master/samples/retrieve_payment_detail.py">Python</a></td></tr><tr><td><a href="https://www.postman.com/iyzico/iyzico/request/h3v7ieh/3-reporting-api-transaction-based">Postman</a></td></tr></tbody></table>

### Reporting API - Daily Transactions

## Daily Transactions Reporting

> Returns the list of payment/cancel/refund operations that occurred on a specific date.

```json
{"openapi":"3.0.3","info":{"title":"Transaction Detail Reporting","version":"1.0.0"},"tags":[{"name":"Reporting","description":"Reporting endpoints"}],"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/v2/reporting/payment/transactions":{"get":{"summary":"Daily Transactions Reporting","description":"Returns the list of payment/cancel/refund operations that occurred on a specific date.","tags":["Reporting"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"},{"$ref":"#/components/parameters/LocaleQuery"},{"$ref":"#/components/parameters/ConversationIdQuery"},{"name":"page","in":"query","required":true,"schema":{"type":"integer","minimum":1},"description":"Page number (starts from 1)."},{"name":"transactionDate","in":"query","required":true,"schema":{"type":"string"},"description":"Date to query (YYYY-MM-DD). Example: `2025-07-24`.\n"}],"responses":{"200":{"description":"Successful response — daily transactions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportingDailyTransactionsResponse"}}}},"400":{"description":"Invalid request / validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Authorization header, IYZWSv2 ile başlayan ve base64 formatında üretilmiş imzalı hash değeridir."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"Content type of the request body."},"LocaleQuery":{"name":"locale","in":"query","required":false,"schema":{"type":"string","enum":["tr","en"]},"description":"Language code."},"ConversationIdQuery":{"name":"conversationId","in":"query","required":false,"schema":{"type":"string"},"description":"Can be used to correlate request/response. Echoed back in the response as-is."}},"schemas":{"ReportingDailyTransactionsResponse":{"allOf":[{"$ref":"#/components/schemas/BaseResponse"},{"type":"object","properties":{"transactions":{"type":"array","description":"Transactions on the specified day.","items":{"$ref":"#/components/schemas/ReportingDailyTransactionItem"}},"currentPage":{"type":"integer","description":"Current page number."},"totalPageCount":{"type":"integer","description":"Total number of pages."}}}]},"BaseResponse":{"type":"object","properties":{"status":{"type":"string","description":"Indicates the result of the request.","enum":["success","failure"]},"locale":{"type":"string","description":"Response language (tr/en)."},"systemTime":{"type":"integer","description":"Operation time (epoch ms)."},"conversationId":{"type":"string","description":"ID matching the request (if present)."}}},"ReportingDailyTransactionItem":{"type":"object","properties":{"transactionType":{"type":"string","description":"Transaction type.","enum":["CANCEL","PAYMENT","REFUND"]},"transactionDate":{"type":"string","description":"Transaction time (yyyy-MM-dd HH:mm:ss)."},"transactionId":{"description":"Transaction ID.","type":"string"},"transactionStatus":{"type":"integer","description":"Line-item status.\n- 0: In fraud review\n- -1: Rejected after fraud review\n- 1: Approved (In marketplace, 1 means Waiting for Sub-merchant Approval)\n- 2: Approved (Marketplace Approval Granted)\nenum: [ 0, -1, 1, 2 ]\n"},"afterSettlement":{"type":"integer","description":"Was it processed after payout? 0=No, 1=Yes (for REFUND).","enum":[0,1]},"paymentTxId":{"description":"Line-item payment transaction ID.","type":"string"},"paymentId":{"description":"Payment ID.","type":"string"},"conversationId":{"type":"string","description":"Conversation ID of the transaction (if any)."},"paymentPhase":{"type":"string","description":"Payment phase."},"price":{"type":"decimal","description":"Item/transaction amount."},"paidPrice":{"type":"decimal","description":"Collected amount."},"transactionCurrency":{"type":"string","description":"Transaction currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]},"installment":{"type":"integer","description":"Installment count."},"threeDS":{"type":"integer","description":"Was 3DS used? 0=No, 1=Yes.","enum":[0,1]},"settlementCurrency":{"type":"string","description":"Settlement currency.","enum":["TRY","USD","EUR","GBP","NOK","CHF"]},"connectorType":{"type":"string","description":"Connector/POS provider type."},"posOrderId":{"type":"string","description":"POS order number."},"authCode":{"type":"string","description":"Bank auth code."},"hostReference":{"type":"string","description":"Provider hostReference value."},"basketId":{"type":"string","description":"Basket ID."},"iyzicoCommission":{"type":"decimal","description":"Commission (for PAYMENT)."},"iyzicoFee":{"type":"decimal","description":"Transaction fee (for PAYMENT)."},"parity":{"type":"decimal","description":"FX parity (for PAYMENT)."},"iyzicoConversionAmount":{"type":"decimal","description":"FX conversion amount (for PAYMENT)."},"merchantPayoutAmount":{"type":"decimal","description":"Amount to be paid to the merchant (for PAYMENT)."},"subMerchantPayoutAmount":{"type":"decimal","description":"Amount to be paid to the sub-merchant (for PAYMENT)."}}},"ErrorResponse":{"allOf":[{"$ref":"#/components/schemas/BaseResponse"},{"type":"object","properties":{"errorCode":{"type":"string","description":"Error code for the operation."},"errorMessage":{"type":"string","description":"Error message for the operation. Supports localization based on the locale parameter."},"errorGroup":{"type":"string","description":"Error group."}}}]}}}}
```

#### Sample Codes

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/reporting_payment_transaction.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/ReportingPaymentTransactionSample.java">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/RetrievePayoutTransactionsSample.cs">.Net</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-python/blob/master/samples/retrieve_transactions.py">Python</a></td></tr><tr><td><a href="https://www.postman.com/iyzico/iyzico/request/dz7c4hk/2-reporting-api-transaction-daily">Postman</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/advanced/reporting-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
